package com.youlai.boot.system.service;

import com.youlai.boot.system.model.entity.DirectoryNode;
import com.youlai.boot.system.model.form.DirForm;

import java.util.List;

public interface FolderNodeService {


    List<Record> getRecordListByFolderName(String folderName,String type);

    List<DirectoryNode> getLeafDirNode();

    DirectoryNode getFolderNode(String type);

    String getPath(DirForm dirForm);

    void mkDir(DirForm dirForm);

    void rmDir(DirForm dirForm);

    void renameDir(DirForm dirForm);



}
